-- =============================================
-- Author:		Paolo Giovanetti
-- Create date: 20/02/2009
-- Description:	Recupera l'area di bisgno a partire da quanto stabilito nella all_proposta
-- =============================================
CREATE FUNCTION [C6Mart].[getAreaDaProposta]
(
	@TipoProdotto AS VARCHAR(20),
	@CodInterno AS VARCHAR(18),
	@CodSottoProdotto AS VARCHAR(5),
	@CodMaf AS VARCHAR(18),
	@Rete AS CHAR(1),
	@CodiceFiscale AS VARCHAR(16)
)
RETURNS VARCHAR(20)
AS
BEGIN
	DECLARE @Area VARCHAR(20)
	IF @TipoProdotto IN ('FI','GE','ASUL','ASU1','ASVI','ASCM','CC')
		BEGIN
			SELECT @Area = need_breve 
			FROM c6staging.all_proposta 
			WHERE isanewposition = 1
				AND pr_cod_interno = @CodInterno
				AND pr_cod_sottoprodotto = @CodSottoProdotto
				AND rete = @Rete
				AND codicefiscale = @CodiceFiscale
		END 
	ELSE 
		IF @TipoProdotto IN ('GES')
			BEGIN
				SELECT @Area = need_breve 
				FROM c6staging.all_proposta 
				WHERE isanewposition = 1
					AND pr_cod_interno = @CodInterno
					AND pr_cod_maf = @CodMaf 
					AND rete = @Rete
					AND codicefiscale = @CodiceFiscale
			END	
		ELSE
			BEGIN
				SELECT @Area = need_breve 
				FROM c6staging.all_proposta 
				WHERE isanewposition = 1
					AND pr_cod_interno = @CodInterno
					AND rete = @Rete
					AND codicefiscale = @CodiceFiscale
			END
	RETURN @Area
END